Statements Service
OpenAPI 1.0.0
API for generating and retrieving statements in various formats.
Варианты
Операции API
POST /v1/reports/1c — Generation of a statement in 1С format.
Generation of a 1C report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a 1C report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "oneCRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"oneCRequestAllFields": {
"$ref": "#/components/examples/oneCRequestAllFields"
},
"oneCRequestOnlyRequired": {
"$ref": "#/components/examples/oneCRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/Create1CReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in 1С format.",
"tags": [
"Report V1"
]
}POST /v1/reports/camt-052 — Generation of a statement in camt.052 format.
Generation of a camt.052 report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a camt.052 report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "camt052Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"camt052RequestAllFields": {
"$ref": "#/components/examples/camt052RequestAllFields"
},
"camt052RequestOnlyRequired": {
"$ref": "#/components/examples/camt052RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateCamt052ReportRequest"
}
}
},
"description": "For camt.052, the condition \"from\" == \"to\" == \"current date\" is validated.",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in camt.052 format.",
"tags": [
"Report V1"
]
}POST /v1/reports/camt-053 — Generation of a statement in camt.053 format.
Generation of a camt.053 report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a camt.053 report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "camt053Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"camt053RequestAllFields": {
"$ref": "#/components/examples/camt053RequestAllFields"
},
"camt053RequestOnlyRequired": {
"$ref": "#/components/examples/camt053RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateCamt053ReportRequest"
}
}
},
"description": "For camt.053, the condition \"to\" != \"current date\" is validated.",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in camt.053 format.",
"tags": [
"Report V1"
]
}POST /v1/reports/excel — Generation of a statement in Excel format.
Generation of a Excel report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a Excel report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "excelRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"excelRequestAllFields": {
"$ref": "#/components/examples/excelRequestAllFields"
},
"excelRequestOnlyRequired": {
"$ref": "#/components/examples/excelRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateExcelReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in Excel format.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-940 — Generation of a statement in MT940 format.
Generation of a MT940 report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a MT940 report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "mt940Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt940RequestAllFields": {
"$ref": "#/components/examples/mt940RequestAllFields"
},
"mt940RequestOnlyRequired": {
"$ref": "#/components/examples/mt940RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt940ReportRequest"
}
}
},
"description": "For MT940, the condition \"to\" != \"current date\" is validated.",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in MT940 format.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-940/file — Generation of a statement in MT940 format (synchronous).
Synchronous generation of a MT940 report based on the provided request parameters. The response returns the content of the report file.
{
"description": "Synchronous generation of a MT940 report based on the provided request parameters. The response returns the content of the report file.\n",
"operationId": "mt940SyncRequest",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt940RequestAllFields": {
"$ref": "#/components/examples/mt940RequestAllFields"
},
"mt940RequestOnlyRequired": {
"$ref": "#/components/examples/mt940RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt940ReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/fileContentMT"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in MT940 format (synchronous).",
"tags": [
"Report V1 Sync"
]
}POST /v1/reports/mt-942 — Generation of a statement in MT942 format.
Generation of a MT942 report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a MT942 report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "mt942Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942RequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942ReportRequest"
}
}
},
"description": "For MT942, the condition \"from\" == \"to\" == \"current date\" is validated.",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in MT942 format.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-942-delta — Generation of an incremental intraday statement in MT942 format.
Generation of an incremental MT942 report based on the provided request parameters. The response returns a report generation identifier. To obtain the first incremental statement for the current date, submit request without lastStatementNumber parameter. For subsequent incremental statements, set lastStatementNumber parameter to the number of the previously received incremental statement (field 28C). The numbering of incremental statements starts at 1 at the beginning of each calendar year and increments sequentially. On the start of a new calendar year, the numbering restarts from 1.
{
"description": "Generation of an incremental MT942 report based on the provided request parameters. \nThe response returns a report generation identifier. \n\nTo obtain the first incremental statement for the current date, submit request without lastStatementNumber parameter.\nFor subsequent incremental statements, set lastStatementNumber parameter to the number of the previously \nreceived incremental statement (field 28C).\n\nThe numbering of incremental statements starts at 1 at the beginning of each calendar year and increments sequentially. \nOn the start of a new calendar year, the numbering restarts from 1.",
"operationId": "mt942DeltaRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942DeltaRequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942DeltaRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942DeltaReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of an incremental intraday statement in MT942 format.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-942-delta/file — Generation of an incremental intraday statement in MT942 format.
Generation of an incremental MT942 report based on the provided request parameters. The response returns a report generation identifier. To obtain the first incremental statement for the current date, submit request without lastStatementNumber parameter. For subsequent incremental statements, set lastStatementNumber parameter to the number of the previously received incremental statement (field 28C). The numbering of incremental statements starts at 1 at the beginning of each calendar year and increments sequentially. On the start of a new calendar year, the numbering restarts from 1.
{
"description": "Generation of an incremental MT942 report based on the provided request parameters. \nThe response returns a report generation identifier. \n\nTo obtain the first incremental statement for the current date, submit request without lastStatementNumber parameter.\nFor subsequent incremental statements, set lastStatementNumber parameter to the number of the previously \nreceived incremental statement (field 28C).\n\nThe numbering of incremental statements starts at 1 at the beginning of each calendar year and increments sequentially. \nOn the start of a new calendar year, the numbering restarts from 1.",
"operationId": "mt942DeltaSyncRequest",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942DeltaRequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942DeltaRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942DeltaReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/fileContentMT"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of an incremental intraday statement in MT942 format.",
"tags": [
"Report V1 Sync"
]
}POST /v1/reports/mt-942/file — Generation of a statement in MT942 format (synchronous).
Synchronous generation of a MT942 report based on the provided request parameters. The response returns the content of the report file.
{
"description": "Synchronous generation of a MT942 report based on the provided request parameters. The response returns the content of the report file.",
"operationId": "mt942SyncRequest",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942RequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942ReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/fileContentMT"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in MT942 format (synchronous).",
"tags": [
"Report V1 Sync"
]
}POST /v1/reports/pdf — Generation of a statement in PDF format with attachments or without attachments.
Generation of a PDF report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a PDF report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "pdfRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"pdfRequestAllFields": {
"$ref": "#/components/examples/pdfRequestAllFields"
},
"pdfRequestOnlyRequired": {
"$ref": "#/components/examples/pdfRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreatePdfReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorPdfReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in PDF format with attachments or without attachments.",
"tags": [
"Report V1"
]
}POST /v1/reports/pdf/attachments — Generation of an attachments of statement in PDF format.
Generation of a PDF report attachments based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a PDF report attachments based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "pdfAttachmentsRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"pdfAttachmentsRequestAllFields": {
"$ref": "#/components/examples/pdfAttachmentsRequestAllFields"
},
"pdfAttachmentsRequestOnlyRequired": {
"$ref": "#/components/examples/pdfAttachmentsRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreatePdfAttachmentsReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorPdfAttachmentsReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorPdfAttachmentsReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of an attachments of statement in PDF format.",
"tags": [
"Report V1"
]
}POST /v1/reports/xml — Generation of a statement in XML format.
Generation of a XML report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a XML report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "xmlRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"xmlRequestAllFields": {
"$ref": "#/components/examples/xmlRequestAllFields"
},
"xmlRequestOnlyRequired": {
"$ref": "#/components/examples/xmlRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateXmlReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in XML format.",
"tags": [
"Report V1"
]
}GET /v1/reports/{reportId}/file — Downloading the report file
Returns the generated report file.
{
"description": "Returns the generated report file.",
"operationId": "downloadReportFile",
"parameters": [
{
"$ref": "#/components/parameters/range"
},
{
"$ref": "#/components/parameters/reportId"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"$ref": "#/components/responses/fileContent"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorFileStorage"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/reportNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Downloading the report file",
"tags": [
"Report V1"
]
}HEAD /v1/reports/{reportId}/file — Retrieving metadata of the report file
Returns metadata of the generated report file
{
"description": "Returns metadata of the generated report file",
"operationId": "downloadReportFileHead",
"parameters": [
{
"$ref": "#/components/parameters/range"
},
{
"$ref": "#/components/parameters/ifNoneMatch"
},
{
"$ref": "#/components/parameters/reportId"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"$ref": "#/components/responses/fileMetadata"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorFileStorage"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/reportNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Retrieving metadata of the report file",
"tags": [
"Report V1"
]
}GET /v1/reports/{reportId}/status — Get the status of the report generation
Returns the status of the report based on the provided identifier.
{
"description": "Returns the status of the report based on the provided identifier.",
"operationId": "reportStatus",
"parameters": [
{
"$ref": "#/components/parameters/reportId"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"$ref": "#/components/responses/reportStatus"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportStatus"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/reportNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Get the status of the report generation",
"tags": [
"Report V1"
]
}POST /v2/reports/1c — Generation of a statement in 1С format.
Generation of a 1C report based on the provided request parameters. The response returns a report generation identifier.
{
"description": "Generation of a 1C report based on the provided request parameters. The response returns a report generation identifier.",
"operationId": "oneCRequestV2",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"oneCRequestV2AllFields": {
"$ref": "#/components/examples/oneCRequestV2AllFields"
},
"oneCRequestV2OnlyRequired": {
"$ref": "#/components/examples/oneCRequestV2OnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/Create1CReportRequestV2"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Generation of a statement in 1С format.",
"tags": [
"Report V2"
]
}Схемы и примеры
{
"examples": {
"accountKeyValidationError": {
"summary": "AccountKey validation error",
"value": {
"code": "account-key-parse-error",
"message": "Failed to read request JSON parse error: Wrong accountKey format [4070103610000000060867:::321312]"
}
},
"camt052RequestAllFields": {
"summary": "camt052 request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"fileName": "file",
"from": "2023-10-06",
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"to": "2023-10-06",
"zero": true
}
},
"camt052RequestOnlyRequired": {
"summary": "camt052 request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"camt053RequestAllFields": {
"summary": "camt053 request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"fileName": "file",
"from": "2023-09-06",
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"to": "2023-10-06",
"zero": true
}
},
"camt053RequestOnlyRequired": {
"summary": "camt053 request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-09-06",
"to": "2023-10-06"
}
},
"excelRequestAllFields": {
"summary": "Excel request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"counterpartyAccounts": [
"40701978200000000001",
"40701978200000000001"
],
"counterpartyInn": "7718266916",
"debitCreditFilter": "DEBIT",
"fileName": "file",
"from": "2023-09-06",
"intraday": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT",
"to": "2023-10-06",
"zero": true
}
},
"excelRequestOnlyRequired": {
"summary": "Excel request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-09-06",
"to": "2023-10-06"
}
},
"fileIsNotReady": {
"summary": "Report file is not ready",
"value": {
"code": "report-file-is-not-ready",
"message": "Requested report file is not ready yet."
}
},
"mt940RequestAllFields": {
"summary": "MT940 request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"encoding": "WINDOWS",
"field25": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"field86": "SEPA",
"fileName": "file",
"from": "2023-10-06",
"replacements": "a:b;c:d;e:empty;f:space",
"showHeader": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"transliteration": true,
"zero": true
}
},
"mt940RequestOnlyRequired": {
"summary": "MT940 request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"mt942DeltaRequestAllFields": {
"summary": "Incremental MT942 request all fields",
"value": {
"accountKey": "40701978200000000001:401867",
"encoding": "WINDOWS",
"field25": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"field86": "SEPA",
"fileName": "file",
"lastStatementNumber": 260,
"replacements": "a:b;c:d;e:empty;f:space",
"showHeader": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"transliteration": true
}
},
"mt942DeltaRequestOnlyRequired": {
"summary": "Incremental MT942 request only required fields",
"value": {
"accountKey": "40702810500001306832"
}
},
"mt942RequestAllFields": {
"summary": "MT942 request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"encoding": "WINDOWS",
"field25": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"field86": "SEPA",
"fileName": "file",
"from": "2023-10-06",
"replacements": "a:b;c:d;e:empty;f:space",
"showHeader": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"transliteration": true
}
},
"mt942RequestOnlyRequired": {
"summary": "MT942 request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"noStatements": {
"summary": "Statements not found",
"value": {
"code": "no-statements",
"message": "No statements were found that match the request parameters"
}
},
"noTransactions": {
"summary": "Transactions not found",
"value": {
"code": "no-transactions",
"message": "No transactions were found that match the request parameters"
}
},
"oneCRequestAllFields": {
"summary": "1C request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"debitCreditFilter": "DEBIT",
"encoding": "WINDOWS",
"fileName": "file",
"from": "2023-10-06",
"includeHolds": true,
"intraday": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"zero": true,
"zeroIfNoStatementExpected": true
}
},
"oneCRequestOnlyRequired": {
"summary": "1C request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"oneCRequestV2AllFields": {
"summary": "1C V2 request with all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"debitCreditFilter": "DEBIT",
"encoding": "WINDOWS",
"excludedOperations": "HOLDS",
"fileName": "file",
"from": "2023-10-06",
"intraday": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"zero": true,
"zeroIfNoStatementExpected": true
}
},
"oneCRequestV2OnlyRequired": {
"summary": "1C V2 request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"pdfAttachmentsRequestAllFields": {
"summary": "PDF attachments request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"counterpartyAccounts": [
"40701978200000000001",
"40701978200000000001"
],
"counterpartyInn": "7718266916",
"debitCreditFilter": "DEBIT",
"fileName": "file",
"from": "2023-10-06",
"intraday": true,
"sign": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "OPERATION",
"to": "2023-10-06"
}
},
"pdfAttachmentsRequestOnlyRequired": {
"summary": "PDF attachments request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"pdfRequestAllFields": {
"summary": "PDF request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"counterpartyAccounts": [
"40701978200000000001",
"40701978200000000001"
],
"counterpartyInn": "7718266916",
"debitCreditFilter": "DEBIT",
"fileName": "file",
"from": "2023-10-06",
"intraday": true,
"sign": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT",
"to": "2023-10-06",
"withAttachments": true,
"zero": true
}
},
"pdfRequestOnlyRequired": {
"summary": "PDF request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06",
"withAttachments": true
}
},
"reportRequestGenerationAccepted": {
"summary": "Report generation request has been accepted",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344"
}
},
"reportStatusCompleted": {
"summary": "Report gerneration has been completed",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "COMPLETED"
}
},
"reportStatusCreated": {
"summary": "Report request has been created",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "CREATED"
}
},
"reportStatusFailed": {
"summary": "Report generation failed",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "FAILED"
}
},
"reportStatusStarted": {
"summary": "Report generation has been started",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "STARTED"
}
},
"statementsSignNotReadyError": {
"summary": "It is impossible to sign the statements. Statements data is not ready yet.",
"value": {
"code": "statements-sign-not-ready-error",
"message": "Statements cannot be signed: statements data is not ready yet."
}
},
"statementsSignParamsError": {
"summary": "It is impossible to sign the statements. Intraday or split into files statements cannot be signed",
"value": {
"code": "statements-sign-params-error",
"message": "Statements cannot be signed: intraday or split statements cannot be signed."
}
},
"statementsSignPeriodError": {
"summary": "It is impossible to sign the statements. The \"to\" parameter must be earlier than the current date.",
"value": {
"code": "statements-sign-period-error",
"message": "Statements cannot be signed: 'to' is greater than or equal to current date."
}
},
"tooManyTransactionsError": {
"summary": "Exceeded the maximum allowed number of operations for generation",
"value": {
"code": "too-many-transactions-error",
"message": "Too many transactions for generation"
}
},
"uuidValidationError": {
"summary": "UUID validation error",
"value": {
"code": "bad-request",
"message": "Failed to read request Invalid UUID string: 8770a120-4280-423a-be0"
}
},
"xmlRequestAllFields": {
"summary": "XML request all fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"fileName": "file",
"from": "2023-10-06",
"intraday": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT",
"to": "2023-10-06",
"zero": true
}
},
"xmlRequestOnlyRequired": {
"summary": "XML request only required fields",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
}
},
"parameters": {
"AuthorizationHeader": {
"description": "Токен доступа",
"in": "header",
"name": "Authorization",
"required": true,
"schema": {
"example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc=",
"format": "byte",
"type": "string"
}
},
"IdTokenHeader": {
"description": "Идентификационный токен пользователя",
"in": "header",
"name": "Id-Token",
"required": true,
"schema": {
"example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc=",
"format": "byte",
"type": "string"
}
},
"acceptRanges": {
"description": "Default Accept-Ranges header behaviour.",
"example": "bytes",
"in": "header",
"name": "Accept-Ranges",
"schema": {
"type": "string"
}
},
"contentDisposition": {
"description": "Default Content-Disposition header behaviour.",
"example": "attachment; filename=\"export_to_pdf_05-05-2025_20-38-50.zip\"",
"in": "header",
"name": "Content-Disposition",
"schema": {
"type": "string"
}
},
"contentLength": {
"description": "Default Content-Length header behaviour.",
"example": "1809115",
"in": "header",
"name": "Content-Length",
"schema": {
"type": "string"
}
},
"dryRun": {
"description": "The parameter allows you to perform a check of the necessary conditions for report generation without starting the generation. \ntrue - all necessary checks will be performed before report generation without starting the generation. In case it is impossible to generate the report, an error will be returned. \nfalse - the necessary checks for report generation will be performed and then the generation will be started.",
"example": true,
"in": "query",
"name": "dryRun",
"schema": {
"default": false,
"type": "boolean"
}
},
"eTag": {
"description": "Identifier for a specific version of a resource",
"example": "b7a68b1bfd796350eebccce70ae597e4",
"in": "header",
"name": "ETag",
"schema": {
"type": "string"
}
},
"ifNoneMatch": {
"description": "Check if the file was modified by the ETag value",
"example": "b7a68b1bfd796350eebccce70ae597e4",
"in": "header",
"name": "If-None-Match",
"schema": {
"type": "string"
}
},
"range": {
"description": "Download specific file byte range",
"example": "bytes=500-999",
"in": "header",
"name": "Range",
"required": false,
"schema": {
"type": "string"
}
},
"reportId": {
"description": "Report identifier",
"example": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"in": "path",
"name": "reportId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
},
"responses": {
"InternalError": {
"description": "Внутренняя ошибка"
},
"Unauthorized": {
"description": "Аутентификация не пройдена"
},
"dryRunCheckSuccess": {
"description": "Report generation conditions has been validated successfully"
},
"fileContent": {
"content": {
"application/pdf": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/xml": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/zip": {
"schema": {
"format": "binary",
"type": "string"
}
},
"text/plain": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "File content",
"headers": {
"Accept-Ranges": {
"schema": {
"$ref": "#/components/parameters/acceptRanges"
}
},
"Content-Disposition": {
"schema": {
"$ref": "#/components/parameters/contentDisposition"
}
},
"Content-Length": {
"schema": {
"$ref": "#/components/parameters/contentLength"
}
},
"ETag": {
"schema": {
"$ref": "#/components/parameters/eTag"
}
}
}
},
"fileContentMT": {
"content": {
"application/zip": {
"schema": {
"format": "binary",
"type": "string"
}
},
"text/plain": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "File content",
"headers": {
"Accept-Ranges": {
"schema": {
"$ref": "#/components/parameters/acceptRanges"
}
},
"Content-Disposition": {
"schema": {
"$ref": "#/components/parameters/contentDisposition"
}
},
"Content-Length": {
"schema": {
"$ref": "#/components/parameters/contentLength"
}
},
"ETag": {
"schema": {
"$ref": "#/components/parameters/eTag"
}
}
}
},
"fileMetadata": {
"description": "File metadata",
"headers": {
"Accept-Ranges": {
"schema": {
"$ref": "#/components/parameters/acceptRanges"
}
},
"Content-Disposition": {
"schema": {
"$ref": "#/components/parameters/contentDisposition"
}
},
"Content-Length": {
"schema": {
"$ref": "#/components/parameters/contentLength"
}
},
"ETag": {
"schema": {
"$ref": "#/components/parameters/eTag"
}
}
}
},
"noStatementsErrorPdfAttachmentsReportRequest": {
"content": {
"application/json": {
"examples": {
"noStatements": {
"$ref": "#/components/examples/noStatements"
},
"noTransactions": {
"$ref": "#/components/examples/noTransactions"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "No statements or operations available for the specified parameters"
},
"noStatementsErrorReportRequest": {
"content": {
"application/json": {
"examples": {
"noStatements": {
"$ref": "#/components/examples/noStatements"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "No statements available for the specified parameters"
},
"reportNotFound": {
"description": "Report not found"
},
"reportRequestGenerationAccepted": {
"content": {
"application/json": {
"examples": {
"reportRequestGenerationAcceptedResponse": {
"$ref": "#/components/examples/reportRequestGenerationAccepted"
}
},
"schema": {
"$ref": "#/components/schemas/ReportGenerationRequestResponse"
}
}
},
"description": "Generation request has been accepted"
},
"reportStatus": {
"content": {
"application/json": {
"examples": {
"reportStatusCompleted": {
"$ref": "#/components/examples/reportStatusCompleted"
},
"reportStatusCreated": {
"$ref": "#/components/examples/reportStatusCreated"
},
"reportStatusFailed": {
"$ref": "#/components/examples/reportStatusFailed"
},
"reportStatusStarted": {
"$ref": "#/components/examples/reportStatusStarted"
}
},
"schema": {
"$ref": "#/components/schemas/ReportGenerationStatusResponse"
}
}
},
"description": "Task status"
},
"requestValidationErrorFileStorage": {
"content": {
"application/json": {
"examples": {
"fileIsNotReady": {
"$ref": "#/components/examples/fileIsNotReady"
},
"uuidValidationError": {
"$ref": "#/components/examples/uuidValidationError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Request validation error"
},
"requestValidationErrorPdfAttachmentsReportRequest": {
"content": {
"application/json": {
"examples": {
"accountKeyValidationError": {
"$ref": "#/components/examples/accountKeyValidationError"
},
"statementsSignNotReadyError": {
"$ref": "#/components/examples/statementsSignNotReadyError"
},
"statementsSignParamsError": {
"$ref": "#/components/examples/statementsSignParamsError"
},
"statementsSignPeriodError": {
"$ref": "#/components/examples/statementsSignPeriodError"
},
"tooManyTransactionsError": {
"$ref": "#/components/examples/tooManyTransactionsError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Request validation error"
},
"requestValidationErrorPdfReportRequest": {
"content": {
"application/json": {
"examples": {
"accountKeyValidationError": {
"$ref": "#/components/examples/accountKeyValidationError"
},
"statementsSignNotReadyError": {
"$ref": "#/components/examples/statementsSignNotReadyError"
},
"statementsSignParamsError": {
"$ref": "#/components/examples/statementsSignParamsError"
},
"statementsSignPeriodError": {
"$ref": "#/components/examples/statementsSignPeriodError"
},
"tooManyTransactionsError": {
"$ref": "#/components/examples/tooManyTransactionsError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Request validation error"
},
"requestValidationErrorReportRequest": {
"content": {
"application/json": {
"examples": {
"accountKeyValidationError": {
"$ref": "#/components/examples/accountKeyValidationError"
},
"tooManyTransactionsError": {
"$ref": "#/components/examples/tooManyTransactionsError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Request validation error"
},
"requestValidationErrorReportStatus": {
"content": {
"application/json": {
"examples": {
"uuidValidationError": {
"$ref": "#/components/examples/uuidValidationError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Request validation error"
}
},
"schemas": {
"AccountKey": {
"description": "Business key of the account. Format: `<20-digit account number>` or `<20-digit account number>:<CNUM>`",
"example": "40702810500001306832",
"type": "string"
},
"AccountKeys": {
"description": "Business key of the account. Format: `<20-digit account number>` or `<20-digit account number>:<CNUM>`",
"example": [
"40701978200000000001:401867",
"40702810500001306832"
],
"items": {
"type": "string"
},
"type": "array"
},
"CounterpartyAccounts": {
"description": "Transaction filter by counterparty account",
"example": [
"40701978200000000001",
"40701978200000000002"
],
"items": {
"type": "string"
},
"type": "array"
},
"CounterpartyInn": {
"description": "Transaction filter by counterparty INN (Taxpayer Identification Number)",
"example": "7718266916",
"type": "string"
},
"Create1CReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"encoding": {
"$ref": "#/components/schemas/Encoding1C"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"includeHolds": {
"$ref": "#/components/schemas/IncludeHolds"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDate"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
},
"zeroIfNoStatementExpected": {
"$ref": "#/components/schemas/ZeroIfNoStatementExpected"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"Create1CReportRequestV2": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"encoding": {
"$ref": "#/components/schemas/Encoding1C"
},
"excludedOperations": {
"$ref": "#/components/schemas/ExcludedOperations"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDate"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
},
"zeroIfNoStatementExpected": {
"$ref": "#/components/schemas/ZeroIfNoStatementExpected"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateCamt052ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateCamt053ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"transliterationAlgorithm": {
"description": "Алгоритм транслитерации CAMT.053: ORIGINAL_SWIFT — без добавления апострофов, RUR_6 — с апострофами для обратной транслитерации, NONE — не транслитерировать. Если не задан, используется прежняя логика.",
"enum": [
"ORIGINAL_SWIFT",
"RUR_6",
"NONE"
],
"example": "ORIGINAL_SWIFT",
"nullable": true,
"type": "string"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateExcelReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"counterpartyAccounts": {
"$ref": "#/components/schemas/CounterpartyAccounts"
},
"counterpartyInn": {
"$ref": "#/components/schemas/CounterpartyInn"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"showVat": {
"$ref": "#/components/schemas/ShowVat"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByExcel"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateMt940ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"encoding": {
"$ref": "#/components/schemas/EncodingMt"
},
"field25": {
"$ref": "#/components/schemas/Field25"
},
"field86": {
"$ref": "#/components/schemas/Field86"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"replacements": {
"$ref": "#/components/schemas/Replacements"
},
"showHeader": {
"$ref": "#/components/schemas/ShowHeader"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDateMT"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"transliteration": {
"$ref": "#/components/schemas/Transliteration"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateMt942DeltaReportRequest": {
"properties": {
"accountKey": {
"$ref": "#/components/schemas/AccountKey"
},
"encoding": {
"$ref": "#/components/schemas/EncodingMt"
},
"field25": {
"$ref": "#/components/schemas/Field25"
},
"field86": {
"$ref": "#/components/schemas/Field86"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"lastStatementNumber": {
"$ref": "#/components/schemas/LastStatementNumber"
},
"replacements": {
"$ref": "#/components/schemas/Replacements"
},
"showHeader": {
"$ref": "#/components/schemas/ShowHeader"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"transliteration": {
"$ref": "#/components/schemas/Transliteration"
}
},
"required": [
"accountKey"
],
"type": "object"
},
"CreateMt942ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"encoding": {
"$ref": "#/components/schemas/EncodingMt"
},
"field25": {
"$ref": "#/components/schemas/Field25"
},
"field86": {
"$ref": "#/components/schemas/Field86"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"replacements": {
"$ref": "#/components/schemas/Replacements"
},
"showHeader": {
"$ref": "#/components/schemas/ShowHeader"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDateMT"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"transliteration": {
"$ref": "#/components/schemas/Transliteration"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreatePdfAttachmentsReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"counterpartyAccounts": {
"$ref": "#/components/schemas/CounterpartyAccounts"
},
"counterpartyInn": {
"$ref": "#/components/schemas/CounterpartyInn"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"mergeFinalAndIntraday": {
"$ref": "#/components/schemas/MergeFinalAndIntraday"
},
"sign": {
"$ref": "#/components/schemas/Sign"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByOperation"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreatePdfReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"counterpartyAccounts": {
"$ref": "#/components/schemas/CounterpartyAccounts"
},
"counterpartyInn": {
"$ref": "#/components/schemas/CounterpartyInn"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"language": {
"description": "English presentation for PDF without attachments. Omit to preserve the current bilingual form. Source data remains in its original language.",
"enum": [
"en"
],
"nullable": true,
"type": "string"
},
"mergeFinalAndIntraday": {
"$ref": "#/components/schemas/MergeFinalAndIntraday"
},
"sign": {
"$ref": "#/components/schemas/Sign"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByPdf"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"withAttachments": {
"$ref": "#/components/schemas/WithAttachments"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to",
"withAttachments"
],
"type": "object"
},
"CreateXmlReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccount"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"DebitCreditFilter": {
"default": "ALL",
"description": "Filter for debit/credit transactions: DEBIT - only debit transactions, CREDIT - only credit transactions, ALL - all transactions",
"enum": [
"DEBIT",
"CREDIT",
"ALL"
],
"example": "DEBIT",
"type": "string"
},
"Encoding1C": {
"default": "WINDOWS",
"description": "File encoding: WINDOWS - cp1251, DOS - cp866",
"enum": [
"WINDOWS",
"DOS"
],
"example": "DOS",
"type": "string"
},
"EncodingMt": {
"default": "WINDOWS",
"description": "File encoding: WINDOWS - cp1251, DOS - cp866, UTF8 - utf-8",
"enum": [
"WINDOWS",
"DOS",
"UTF8"
],
"example": "DOS",
"type": "string"
},
"ErrorMessage": {
"description": "Error message",
"example": "Too many transactions for print",
"type": "string"
},
"ErrorResponse": {
"example": {
"code": "too-many-transactions-error",
"message": "Too many transactions for print"
},
"properties": {
"code": {
"$ref": "#/components/schemas/ErrorType"
},
"message": {
"$ref": "#/components/schemas/ErrorMessage"
}
},
"required": [
"code"
],
"type": "object"
},
"ErrorType": {
"enum": [
"BAD_REQUEST",
"STATEMENT_KEY_PARSE_ERROR",
"ACCOUNT_KEY_PARSE_ERROR",
"TRANSACTION_KEY_PARSE_ERROR",
"STMT_FILE_NAME_PARSE_ERROR",
"REPLACEMENTS_PARSE_ERROR",
"TOO_MANY_TRANSACTIONS_ERROR",
"NO_STATEMENTS",
"NO_TRANSACTIONS",
"STATEMENTS_PERIOD_BEFORE_OPEN_ERROR",
"STATEMENTS_PERIOD_NOT_READY_ERROR",
"STATEMENTS_PERIOD_NO_COB_ERROR",
"STATEMENTS_SIGN_NOT_READY_ERROR",
"STATEMENTS_SIGN_PERIOD_ERROR",
"STATEMENTS_SIGN_PARAMS_ERROR",
"REPORT_FILE_IS_NOT_READY"
],
"type": "string"
},
"ExcludedOperations": {
"default": "NONE",
"description": "Filter for excluded transactions: NOT_PROCESSED_AND_HOLDS - exclude unprocessed transactions and holds, NOT_PROCESSED - exclude unprocessed transactions, HOLDS - exclude holds, NONE - do not exclude transactions",
"enum": [
"NOT_PROCESSED_AND_HOLDS",
"NOT_PROCESSED",
"HOLDS",
"NONE"
],
"example": "NONE",
"type": "string"
},
"Field25": {
"default": {
"format": "SWIFT_ACCOUNT_CURRENCY"
},
"description": "Field 25 setting",
"example": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"properties": {
"customValue": {
"$ref": "#/components/schemas/Field25CustomValue"
},
"format": {
"$ref": "#/components/schemas/Field25Format"
}
},
"required": [
"format"
],
"type": "object"
},
"Field25CustomValue": {
"description": "Field 25 value for CUSTOM format",
"example": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"type": "string"
},
"Field25Format": {
"default": "SWIFT_ACCOUNT_CURRENCY",
"description": "Field 25 format. SWIFT_ACCOUNT_CURRENCY - string in the format [SWIFT][Account][Account Currency], SWIFT_ACCOUNT - string in the format [SWIFT][Account], RCBIC_ACCOUNT - string in the format [RCBIC][Account], CUSTOM - custom format. \nFor the CUSTOM format, the following variables are available: [Account Number] - account number, [RCBIC] - bank BIC code, [SWIFT] - bank SWIFT code, [Cur] - account currency.",
"enum": [
"SWIFT_ACCOUNT_CURRENCY",
"SWIFT_ACCOUNT",
"RCBIC_ACCOUNT",
"CUSTOM"
],
"example": "RCBIC_ACCOUNT",
"type": "string"
},
"Field86": {
"default": "SEPA",
"description": "Field 86 format. SEPA - SEPA format, OLD - Old format (NZP/[Details of payment]), DISABLED - do not add field 86",
"enum": [
"SEPA",
"OLD",
"DISABLED"
],
"example": "OLD",
"type": "string"
},
"FileName": {
"description": "Name of the generated file",
"example": "qwerty",
"type": "string"
},
"IncludeHolds": {
"default": true,
"description": "Include holds: true - include, false - do not include",
"example": false,
"type": "boolean"
},
"Intraday": {
"default": false,
"description": "Include intraday statements: true - include, false - do not include",
"example": true,
"type": "boolean"
},
"LastStatementNumber": {
"description": "The statement number of the last received MT942 incremental statement (field 28C).\nMust contain a valid number of a previously received incremental statement for the current date, \nor can be omitted to receive the first statement for the current date.",
"example": 260,
"type": "integer"
},
"MergeFinalAndIntraday": {
"default": false,
"description": "Merge final and intraday parts of a PDF statement: true - merge, false - keep separate. When intraday=false, there is nothing to merge",
"example": false,
"type": "boolean"
},
"OrderBy": {
"description": "Sort direction",
"enum": [
"ASC",
"DESC"
],
"example": "ASC",
"type": "string"
},
"Replacements": {
"description": "Rules for adjusting SWIFT characters in fields 86 and 61. In the format \"sourceChar:targetChar\". The targetChar may include characters for empty string and space ('empty', 'space').",
"example": "a:b;c:d;e:empty;f:space",
"type": "string"
},
"ReportGenerationRequestResponse": {
"example": {
"reportId": "4c8d9891-4ee9-4ac8-ae2d-e41ad9f5ee10"
},
"properties": {
"reportId": {
"$ref": "#/components/schemas/ReportId"
}
},
"type": "object"
},
"ReportGenerationStatusResponse": {
"example": {
"reportId": "4c8d9891-4ee9-4ac8-ae2d-e41ad9f5ee10",
"status": "STARTED"
},
"properties": {
"reportId": {
"$ref": "#/components/schemas/ReportId"
},
"status": {
"enum": [
"CREATED",
"STARTED",
"FAILED",
"STOPPED",
"RESTARTED",
"COMPLETED",
"CANCELLED"
],
"type": "string"
}
},
"required": [
"status",
"reportId"
],
"type": "object"
},
"ReportId": {
"description": "Report identifier",
"example": "4c8d9891-4ee9-4ac8-ae2d-e41ad9f5ee10",
"format": "uuid",
"type": "string"
},
"ReportSort": {
"items": {
"$ref": "#/components/schemas/ServiceSortReportSortFields"
},
"type": "array"
},
"RequestIntervalFrom": {
"description": "Statement date from",
"example": "2023-10-06",
"format": "date",
"type": "string"
},
"RequestIntervalTo": {
"description": "Statement date to",
"example": "2023-10-06",
"format": "date",
"type": "string"
},
"ServiceSortReportSortFields": {
"example": {
"orderBy": "ASC",
"sortBy": "DEBIT"
},
"properties": {
"orderBy": {
"$ref": "#/components/schemas/OrderBy"
},
"sortBy": {
"$ref": "#/components/schemas/SortBy"
}
},
"required": [
"sortBy",
"orderBy"
],
"type": "object"
},
"ShowHeader": {
"default": false,
"description": "Show statement header",
"example": true,
"type": "boolean"
},
"ShowVat": {
"default": false,
"description": "Flag to add the \"VAT Amount\" column. The VAT value is extracted from the payment purpose text using templates and may be missing or incorrectly determined. true - add \"VAT Amount\" column (only for RUB accounts), false - do not add column",
"example": true,
"type": "boolean"
},
"Sign": {
"default": false,
"description": "Sign final statements: true - sign, false - do not sign",
"example": true,
"type": "boolean"
},
"SortBy": {
"description": "Sort field",
"enum": [
"DEBIT",
"CREDIT"
],
"example": "CREDIT",
"type": "string"
},
"SplitByAccount": {
"description": "Split statements into separate files and generate a zip archive. ACCOUNT - split by account (each file in the archive will contain statements for period for one account), null - one file is generated. One file is generated by default.",
"enum": [
"ACCOUNT"
],
"example": "ACCOUNT",
"type": "string"
},
"SplitByAccountDate": {
"description": "Split statements into separate files and generate a zip archive. ACCOUNT_DATE - split by account per day (each file in the archive will contain statements for one day for one account), null - one file is generated. One file is generated by default.",
"enum": [
"ACCOUNT_DATE"
],
"example": "ACCOUNT_DATE",
"type": "string"
},
"SplitByAccountDateMT": {
"description": "Split statements into separate files and generate a zip archive. \nACCOUNT_DATE - split by account per day (each file in the archive will contain statements for one day for one account), \nACCOUNT_DATE_CHUNKS - split by daily accounts, dividing the file into chunks of 1000 characters (each file in the archive will contain a portion of the statement for one day from one account),\nnull - one file is generated. One file is generated by default.",
"enum": [
"ACCOUNT_DATE",
"ACCOUNT_DATE_CHUNKS"
],
"example": "ACCOUNT_DATE",
"type": "string"
},
"SplitByExcel": {
"description": "Split statements into separate files and generate a zip archive. \nACCOUNT - split by account (each file in the archive will contain statements for period for one account), \nACCOUNT_DATE – Split by account and date (each file in the archive will contain statements for a single account on a specific day).\nMULTIPLE_ACCOUNT_DATE – Split by date only (each file in the archive will contain statements for multiple accounts on a single day).\nnull - one file is generated. \nOne file is generated by default.",
"enum": [
"ACCOUNT",
"ACCOUNT_DATE",
"MULTIPLE_ACCOUNT_DATE"
],
"example": "ACCOUNT",
"type": "string"
},
"SplitByOperation": {
"description": "Split the statement attachments into separate files and generate a zip archive. OPERATION - split by operation (each file in the archive will contain one operation), null - one file is generated. One file is generated by default.",
"enum": [
"OPERATION"
],
"example": "OPERATION",
"type": "string"
},
"SplitByPdf": {
"description": "Split statements into separate files and generate a zip archive.\nACCOUNT - split by account (each file in the archive will contain statements for period for one account),\nACCOUNT_DATE – Split by account and date (each file in the archive will contain statements for a single account on a specific day),\nMULTIPLE_ACCOUNT_DATE – Split by date only (each file in the archive will contain statements for multiple accounts on a single day),\nnull - one file is generated.\nOne file is generated by default.",
"enum": [
"ACCOUNT",
"ACCOUNT_DATE",
"MULTIPLE_ACCOUNT_DATE"
],
"example": "ACCOUNT",
"type": "string"
},
"Transliteration": {
"default": false,
"description": "Field 86 transliteration",
"example": true,
"type": "boolean"
},
"WithAttachments": {
"description": "Generate statement with attachments or without attachments: true - with, false - without",
"example": true,
"type": "boolean"
},
"Zero": {
"default": false,
"description": "Include zero statements, true - all statements (with and without account movements), false - only statements with account movements (non-zero",
"example": true,
"type": "boolean"
},
"ZeroIfNoStatementExpected": {
"default": false,
"description": "Generate a synthetic zero statement when a regular statement is not generated.",
"example": true,
"type": "boolean"
}
},
"securitySchemes": {
"RaifApiAuthorization": {
"scheme": "bearer",
"type": "http"
},
"RaifApiIdToken": {
"in": "header",
"name": "Id-Token",
"type": "apiKey"
}
}
}